eCos Reference Manual
Prev |  | Next

# fis list

## Name

fis list -- List Flash Image System directory

## Synopsis

fis list [`-f`]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-c |  | Show image checksum instead of memory address (column `Mem addr` is replaced by `Checksum`). |
-d |  | Show image data length instead of amount of flash occupied by image (column `Length` is replaced by `Datalen`). |

## Description

This command lists the images currently available in the FIS. Certain images used by RedBoot have fixed names and have reserved slots in the FIS (these can be seen after using the fis init command). Other images can be manipulated by the user.

> Note: The images are listed in the order they appear in the FIS directory, not by name or creation time.

## Examples

List the FIS directory.

    RedBoot> fis list
    Name              FLASH addr  Mem addr    Length      Entry point
    RedBoot           0x00000000  0x00000000  0x00020000  0x00000000
    RedBoot config    0x0007F000  0x0007F000  0x00001000  0x00000000
    FIS directory     0x00070000  0x00070000  0x0000F000  0x00000000

List the FIS directory, with image checksums substituted for memory addresses.

    RedBoot> fis list -c
    Name              FLASH addr  Checksum    Length      Entry point
    RedBoot           0x00000000  0x00000000  0x00020000  0x00000000
    RedBoot config    0x0007F000  0x00000000  0x00001000  0x00000000
    FIS directory     0x00070000  0x00000000  0x0000F000  0x00000000

List the FIS directory with image data lengths substituted for flash block reservation lengths.

    RedBoot> fis list
    Name              FLASH addr  Mem addr    Datalen     Entry point
    RedBoot           0x00000000  0x00000000  0x00000000  0x00000000
    RedBoot config    0x0007F000  0x0007F000  0x00000000  0x00000000
    FIS directory     0x00070000  0x00070000  0x00000000  0x00000000

Prev | Home | Next
fis init | Up | fis free